aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-08-07 21:04:34 (GMT)
committerZac Medico <zmedico@gentoo.org>2012-08-07 21:04:34 (GMT)
commit9168d4c184a16e9b992e22bb5d6f3d88b25309b9 (patch)
tree3c027c3bd9e528ad279d5dd5cf45a2782244bdac
parentman/portage.5: note GLEP 37 virtuals, bug #429978 (diff)
downloadportage-9168d4c184a16e9b992e22bb5d6f3d88b25309b9.zip
portage-9168d4c184a16e9b992e22bb5d6f3d88b25309b9.tar.gz
portage-9168d4c184a16e9b992e22bb5d6f3d88b25309b9.tar.bz2
Revert "econf: add --disable-silent-rules, bug #379497#c6"
This reverts commit 1cc39de72ac5311db748341ef9183586556719d9. It may be unsafe to call configure --help with some configure scripts, as noted in bug #379497, comment #34.
-rw-r--r--bin/phase-helpers.sh14
1 files changed, 4 insertions, 10 deletions
diff --git a/bin/phase-helpers.sh b/bin/phase-helpers.sh
index 480e73e..946520b 100644
--- a/bin/phase-helpers.sh
+++ b/bin/phase-helpers.sh
@@ -420,17 +420,11 @@ econf() {
done
fi
- local conf_help=$("${ECONF_SOURCE}/configure" --help 2>/dev/null)
-
- case "${conf_help}" in
- *--disable-silent-rules*) set -- --disable-silent-rules "$@";;
- esac
-
# EAPI=4 adds --disable-dependency-tracking to econf
- if ! has "$EAPI" 0 1 2 3 3_pre2 ; then
- case "${conf_help}" in
- *--disable-dependency-tracking*) set -- --disable-dependency-tracking "$@";;
- esac
+ if ! has "$EAPI" 0 1 2 3 3_pre2 && \
+ "${ECONF_SOURCE}/configure" --help 2>/dev/null | \
+ grep -q disable-dependency-tracking ; then
+ set -- --disable-dependency-tracking "$@"
fi
# if the profile defines a location to install libs to aside from default, pass it on.